Subject: Re: What's cooking in git.git (Sep 2021, #08; Mon, 27)

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Sep 2021 10:33:44 -0700

Derrick Stolee <[email-masked]> writes:

> Yes, I agree. I was waiting to see if more comments trickled in, but
> it seems stable now. Do you want me to re-roll the whole series, or
> do you want to apply the fixup below?

Let us wait for a bit more trickling in, but in the meantime, here
is what I'd keep.  Thanks.

[ds/add-rm-with-sparse-index] $ git range-diff @{1}...
 1:  f1309dd7be !  1:  edd2cd345f t1092: behavior for adding sparse files
    @@ t/t1092-sparse-checkout-compatibility.sh: test_sparse_match () {
     +	for repo in sparse-checkout sparse-index
     +	do
     +		# Skip "unmerged" paths
    -+		git -C $repo diff --staged --diff-filter=ACDMRTXB -- "$file" >diff &&
    ++		git -C $repo diff --staged --diff-filter=u -- "$file" >diff &&
     +		test_must_be_empty diff || return 1
     +	done
     +}
 2:  9a8c340809 =  2:  f6526728f9 dir: select directories correctly
 3:  2a4e495cd4 =  3:  ed4958477b dir: fix pattern matching on dirs
 ...